# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "pacifica-rs"
version = "1.0.0"
authors = ["cff"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "rust implementation of PacificA: Replication in Log-Based Distributed Storage Systems"
homepage = "https://github.com/bybyset/pacifica-rs"
documentation = "https://docs.rs/pacifica-rs"
readme = false
keywords = [
    "pacifica",
    "consensus",
]
categories = [
    "algorithms",
    "asynchronous",
    "data-structures",
]
license = "MIT"
repository = "https://github.com/bybyset/pacifica-rs"
resolver = "1"

[features]
default = [
    "tokio-runtime",
    "snapshot-storage-fs",
    "log-storage-rocksdb",
]
log-storage-rocksdb = ["dep:rocksdb"]
snapshot-storage-fs = []
tokio-runtime = ["dep:tokio"]

[lib]
name = "pacifica_rs"
path = "src/lib.rs"

[dependencies.anyerror]
version = "0.1.12"

[dependencies.byte-unit]
version = "5.1.4"

[dependencies.byteorder]
version = "1.5.0"

[dependencies.bytes]
version = "1.9.0"

[dependencies.clap]
version = "4.5.21"
features = [
    "derive",
    "env",
]

[dependencies.crc]
version = "3.2.1"

[dependencies.futures]
version = "0.3.31"

[dependencies.log]
version = "0.4.22"

[dependencies.rocksdb]
version = "0.23.0"
optional = true

[dependencies.thiserror]
version = "2.0.3"

[dependencies.tokio]
version = "1.41.1"
features = [
    "io-util",
    "macros",
    "rt",
    "rt-multi-thread",
    "sync",
    "time",
]
optional = true
default-features = false

[dependencies.tracing]
version = "0.1.41"

[dependencies.tracing-appender]
version = "0.2.3"

[dependencies.tracing-futures]
version = "0.2.5"

[dependencies.tracing-subscriber]
version = "0.3.19"
features = ["env-filter"]

[dev-dependencies.tempfile]
version = "3.17.1"
